@ECHO OFF
CLS
GOTO START
REM  *************** \EXAMS\EXAMCODE\ASSEMUTL.BAT ****************
REM  *       Author: D.W. Disney, Senior Scientific/Engineering  *
REM  *                            Computer Specialist            *
REM  *               DynTel Corporation                          *
REM  *         Date: Wednesday, 14 February 1996. Time: 10:30:19.*
REM  *  Environment: Microway 486 B2T/50, DOS 6.0                *
REM  * Installation: DynTel Corporation                          *
REM  *               U.S. Environmental Protection Agency        *
REM  *               NERL - Ecosystems Research Div., Athens, GA *
REM  *     Function: Assemble UTILITY FORTRAN source code (*.FOR)*
REM  *     Calling                                               *
REM  *     Sequence: ASSEMUTL                                    *
REM  *        Input: Command line: none                          *
REM  *               Other: none                                 *
REM  *************************************************************
REM  ----- Label START ------------------------------------------------------
:START
REM  ----- Label BEGIN ------------------------------------------------------
:BEGIN
IF "%1"=="DEBUG" GOTO CHECKFOR
IF "%1"=="debug" GOTO CHECKFOR
IF EXIST E:\EXAMS\FORTCODE\*.FOR GOTO COPYCODE
GOTO ERR_FOR1
REM  ----- Label CHECKFOR ---------------------------------------------------
:CHECKFOR
IF EXIST \EXAMS\FORTCODE\*.FOR GOTO COPYCODE
REM  ----- Label ERR_FOR1 ---------------------------------------------------
:ERR_FOR1
ECHO #
ECHO #
ECHO ##  WARNING:  EXAMS MODEL SYSTEM FORTRAN SOURCE CODE FILES NOT FOUND
ECHO #
ECHO #             The EXAMS model system (UTILITY, EXAMS) FORTRAN source     
ECHO #             code files (*.INC, *.FOR) have not been installed within
ECHO #             the sub-directory E:\EXAMS/FORTCODE.
ECHO #             
ECHO #             Execute the INSTALL or INSTALEX installation program and
ECHO #             select the option to install FORTRAN source code files.
ECHO #
ECHO #   Press "<Enter>" key to return to DOS command prompt.
PAUSE >NUL
GOTO STOP
REM  ----- Label COPYCODE ---------------------------------------------------
:COPYCODE
ECHO #
ECHO #----------------------------------------------------------------------#
ECHO ##  COPYing UTILITY FORTRAN source code files...wait.
ECHO #----------------------------------------------------------------------#
ECHO #
IF "%1"=="DEBUG" GOTO UTILCOPY
IF "%1"=="debug" GOTO UTILCOPY
COPY E:\EXAMS\FORTCODE\MAKEFILE.UTL MAKEFILE /V >>ASSEMUTL.LOG
COPY   E:\EXAMS\FORTCODE\BLDDEF.FOR *.* /V >>ASSEMUTL.LOG
COPY   E:\EXAMS\FORTCODE\BLDHLP.FOR *.* /V >>ASSEMUTL.LOG
COPY   E:\EXAMS\FORTCODE\BLDMOD.FOR *.* /V >>ASSEMUTL.LOG
COPY   E:\EXAMS\FORTCODE\BLNKCO.FOR *.* /V >>ASSEMUTL.LOG
COPY   E:\EXAMS\FORTCODE\BLNKEN.FOR *.* /V >>ASSEMUTL.LOG
COPY   E:\EXAMS\FORTCODE\BLNKLO.FOR *.* /V >>ASSEMUTL.LOG
COPY   E:\EXAMS\FORTCODE\BLNKPR.FOR *.* /V >>ASSEMUTL.LOG
COPY    E:\EXAMS\FORTCODE\BLOCK.FOR *.* /V >>ASSEMUTL.LOG
COPY   E:\EXAMS\FORTCODE\CHEMIN.FOR *.* /V >>ASSEMUTL.LOG
COPY   E:\EXAMS\FORTCODE\DATAIN.FOR *.* /V >>ASSEMUTL.LOG
COPY   E:\EXAMS\FORTCODE\DBDUMP.FOR *.* /V >>ASSEMUTL.LOG
COPY   E:\EXAMS\FORTCODE\DMPTAB.FOR *.* /V >>ASSEMUTL.LOG
COPY    E:\EXAMS\FORTCODE\ENVIN.FOR *.* /V >>ASSEMUTL.LOG
COPY    E:\EXAMS\FORTCODE\INITL.FOR *.* /V >>ASSEMUTL.LOG
COPY    E:\EXAMS\FORTCODE\LRAIL.FOR *.* /V >>ASSEMUTL.LOG
COPY     E:\EXAMS\FORTCODE\MNLN.FOR *.* /V >>ASSEMUTL.LOG
COPY   E:\EXAMS\FORTCODE\PACLDS.FOR *.* /V >>ASSEMUTL.LOG
COPY   E:\EXAMS\FORTCODE\PACPRO.FOR *.* /V >>ASSEMUTL.LOG
COPY      E:\EXAMS\FORTCODE\PAK.FOR *.* /V >>ASSEMUTL.LOG
COPY   E:\EXAMS\FORTCODE\PAKENV.FOR *.* /V >>ASSEMUTL.LOG
COPY   E:\EXAMS\FORTCODE\PKCREC.FOR *.* /V >>ASSEMUTL.LOG
COPY   E:\EXAMS\FORTCODE\RECPAK.FOR *.* /V >>ASSEMUTL.LOG
COPY     E:\EXAMS\FORTCODE\SKAN.FOR *.* /V >>ASSEMUTL.LOG
COPY  E:\EXAMS\FORTCODE\UTILITY.FOR *.* /V >>ASSEMUTL.LOG
COPY   E:\EXAMS\FORTCODE\XVALUE.FOR *.* /V >>ASSEMUTL.LOG
GOTO END
REM  ----- Label UTILCOPY ---------------------------------------------------
:UTILCOPY
COPY \EXAMS\FORTCODE\MAKEFILE.UTL MAKEFILE /V >>ASSEMUTL.LOG
COPY   \EXAMS\FORTCODE\BLDDEF.FOR *.* /V >>>ASSEMUTL.LOG
COPY   \EXAMS\FORTCODE\BLDHLP.FOR *.* /V >>>ASSEMUTL.LOG
COPY   \EXAMS\FORTCODE\BLDMOD.FOR *.* /V >>>ASSEMUTL.LOG
COPY   \EXAMS\FORTCODE\BLNKCO.FOR *.* /V >>>ASSEMUTL.LOG
COPY   \EXAMS\FORTCODE\BLNKEN.FOR *.* /V >>>ASSEMUTL.LOG
COPY   \EXAMS\FORTCODE\BLNKLO.FOR *.* /V >>>ASSEMUTL.LOG
COPY   \EXAMS\FORTCODE\BLNKPR.FOR *.* /V >>>ASSEMUTL.LOG
COPY    \EXAMS\FORTCODE\BLOCK.FOR *.* /V >>>ASSEMUTL.LOG
COPY   \EXAMS\FORTCODE\CHEMIN.FOR *.* /V >>>ASSEMUTL.LOG
COPY   \EXAMS\FORTCODE\DATAIN.FOR *.* /V >>>ASSEMUTL.LOG
COPY   \EXAMS\FORTCODE\DBDUMP.FOR *.* /V >>>ASSEMUTL.LOG
COPY   \EXAMS\FORTCODE\DMPTAB.FOR *.* /V >>>ASSEMUTL.LOG
COPY    \EXAMS\FORTCODE\ENVIN.FOR *.* /V >>>ASSEMUTL.LOG
COPY    \EXAMS\FORTCODE\INITL.FOR *.* /V >>>ASSEMUTL.LOG
COPY    \EXAMS\FORTCODE\LRAIL.FOR *.* /V >>>ASSEMUTL.LOG
COPY     \EXAMS\FORTCODE\MNLN.FOR *.* /V >>>ASSEMUTL.LOG
COPY   \EXAMS\FORTCODE\PACLDS.FOR *.* /V >>>ASSEMUTL.LOG
COPY   \EXAMS\FORTCODE\PACPRO.FOR *.* /V >>>ASSEMUTL.LOG
COPY      \EXAMS\FORTCODE\PAK.FOR *.* /V >>>ASSEMUTL.LOG
COPY   \EXAMS\FORTCODE\PAKENV.FOR *.* /V >>>ASSEMUTL.LOG
COPY   \EXAMS\FORTCODE\PKCREC.FOR *.* /V >>>ASSEMUTL.LOG
COPY   \EXAMS\FORTCODE\RECPAK.FOR *.* /V >>>ASSEMUTL.LOG
COPY     \EXAMS\FORTCODE\SKAN.FOR *.* /V >>>ASSEMUTL.LOG
COPY  \EXAMS\FORTCODE\UTILITY.FOR *.* /V >>>ASSEMUTL.LOG
COPY   \EXAMS\FORTCODE\XVALUE.FOR *.* /V >>>ASSEMUTL.LOG
REM  ----- Label END --------------------------------------------------------
:END
CLS
ECHO.
ECHO.
DIR *.FOR /W
:STOP
